> ## Documentation Index
> Fetch the complete documentation index at: https://docs.bleeprs.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Create Templates

> Create a dynamic message template

Variables can be used on all templates built with Content Template Builder. There are a few differing rules for variables sent in a user and business initiated sessions.

#### Some Template Rules

Content variables need to be in sequential order. They can be is non-sequential order within a template, but variable definitions should not skip over integers.

Not Allowed: `body: Hi {{1}}, Your flight will depart from gate {{3}}. Please reply Stop to unsubscribe.`

Allowed: `body: Hi {{1}}, Your flight will depart from gate {{2}}. Please reply Stop to unsubscribe.`


## OpenAPI

````yaml POST /createTemplates
openapi: 3.0.3
info:
  title: Bleeprs API Specification 0.1
  version: 1.0.0
  contact: {}
servers:
  - url: https://api.bleeprs.com/api
security:
  - bearerAuth: []
paths:
  /createTemplates:
    post:
      tags:
        - Templates
      summary: Create Templates
      description: Create Templates
      operationId: createTemplates
      requestBody:
        content:
          application/json:
            schema:
              type: object
              properties:
                body:
                  type: string
                  description: The standard body with possible interpolated fields
                  example: My name is {{1}} and i am from {{2}}
                indexes:
                  type: array
                  description: The integers in a format of a string in **{{1}}** from body
                  items:
                    type: string
                    description: ''
                    example: '1'
                  example:
                    - '1'
                    - '2'
                name:
                  type: string
                  description: Template name
                  example: Welcome Message
                slug:
                  type: string
                  description: Template slug
                  example: WLG
                useCase:
                  type: string
                  description: Template Use cases seprated by comma
                  example: business
      responses:
        '200':
          description: ''
components:
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer

````